import greenfoot.*;
import java.util.HashSet;
/**
 * Dfinition d'une frontire : les cases entourant les pions dj poss.
 */
public class Frontiere
{
    private static Frontiere frontiere_ = null;    
    private  HashSet<Cellule> front;
    
    public final synchronized static Frontiere getFrontiere()
    {
        if (frontiere_ == null)
            frontiere_ = new Frontiere();
        return frontiere_;
    }
    private Frontiere()
    {
        front = new HashSet();
    } 

    public  HashSet<Cellule> rendreFrontiere()
    {
        return front;
    }
        
    public  void majFrontiere(Pion pion)
    {
        front.addAll(pion.rendreVoisinsVides());
        boolean caseEnMoins = front.remove(pion.getCell());
    }
}